All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
blas2.cpp File Reference
`#include <iostream>`
`#include "viennacl.hpp"`
`#include "viennacl_private.hpp"`
`#include "init_vector.hpp"`
`#include "init_matrix.hpp"`
`#include "viennacl/scalar.hpp"`
`#include "viennacl/vector.hpp"`
`#include "viennacl/matrix.hpp"`
`#include "viennacl/linalg/direct_solve.hpp"`
`#include "viennacl/linalg/prod.hpp"`

Go to the source code of this file.

## Functions

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLgemv (ViennaCLHostScalar alpha, ViennaCLMatrix A, ViennaCLVector x, ViennaCLHostScalar beta, ViennaCLVector y)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLtrsv (ViennaCLMatrix A, ViennaCLVector x, ViennaCLUplo uplo)
VIENNACL_EXPORTED_FUNCTION ViennaCLStatus | ViennaCLger (ViennaCLHostScalar alpha, ViennaCLVector x, ViennaCLVector y, ViennaCLMatrix A)

## Function Documentation

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLgemv | ( | ViennaCLHostScalar | alpha,
|  | ViennaCLMatrix | A,
|  | ViennaCLVector | x,
|  | ViennaCLHostScalar | beta,
|  | ViennaCLVector | y
| ) |  |

Definition at line 36 of file blas2.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLger | ( | ViennaCLHostScalar | alpha,
|  | ViennaCLVector | x,
|  | ViennaCLVector | y,
|  | ViennaCLMatrix | A
| ) |  |

Definition at line 177 of file blas2.cpp.

VIENNACL_EXPORTED_FUNCTION ViennaCLStatus ViennaCLtrsv | ( | ViennaCLMatrix | A,
|  | ViennaCLVector | x,
|  | ViennaCLUplo | uplo
| ) |  |

Definition at line 101 of file blas2.cpp.